package org.example.Entity.System.Audit;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.Map;

import static org.example.Utils.DataTableUtil.get;
import static org.example.Utils.NativeExtensionUtils.toBoolean;

public class AuditStep extends AuditBase {

    public AuditStep(Map<String, Object> row) {
        super(row);
    }

    @JsonIgnore
    public String getStepAction() {
        return (String) get(row, "StepAction", "");
    }

    @JsonIgnore
    public String getBackAction() {
        return (String) get(row, "backAction", "");
    }

    @JsonIgnore
    public String getStepSql() {
        return (String) get(row, "stepSql", "");
    }

    @JsonIgnore
    public String getBillModifyFields() {
        return (String) get(row, "billModifyFields", "");
    }

    @JsonIgnore
    public String getRequiredFields() {
        return (String) get(row, "requiredFields", "");
    }

    ;//+get

    @JsonIgnore
    public String getRequiredDetailFields() {
        return (String) get(row, "requiredDetailFields", "");
    }

    ;//+get

    @JsonIgnore
    public String getDetailModifyFields() {
        return (String) get(row, "detailModifyFields", "");
    }

    ;//+get

    @JsonIgnore
    public String getBeforeEvent() {
        return (String) get(row, "beforeEvent", "");
    }

    ;//+get

    @JsonIgnore
    public String getAfterEvent() {
        return (String) get(row, "afterEvent", "");
    }

    ;//+get

    @JsonIgnore
    public String getStepApplyText() {
        return (String) get(row, "StepApplyText", "");
    }

    ;//+get

    @JsonIgnore
    public String getStepBackText() {
        return (String) get(row, "stepBackText", "");
    }

    ;//+get

    @JsonIgnore
    public String getStepApplyContent() {
        return (String) get(row, "stepApplyContent", "");
    }

    ;//+get

    @JsonIgnore
    public String getStepBackContent() {
        return (String) get(row, "stepBackContent", "");
    }


    @JsonIgnore
    public String getStepCloseText() {
        return (String) get(row, "stepCloseText", "");
    }


    @JsonIgnore
    public String getStepCloseContent() {
        return (String) get(row, "stepCloseContent", "");
    }


    @JsonIgnore
    public String getStepCloseTip() {
        return (String) get(row, "stepCloseTip", "");
    }

    ;//+get

    @JsonIgnore
    public String getAuditContent() {
        return (String) get(row, "auditContent", "");
    }

    ;//+get

    @JsonIgnore
    public Boolean getIsLocked() {
        return (Boolean) get(row, "isLocked", "");
    }

    ;//+get

    @JsonIgnore
    public boolean getDisJCP() {
        return toBoolean(get(row, "disjcp", ""));
    }
}
